Page MenuHomePhabricator

Implement a pre-caching daemon for ORES
Closed, ResolvedPublic

Description

Use RCStream or a similar feed to tell ORES to pre-cache damage scores so that bots and other tools can get cached responses.

Event Timeline

Halfak created this task.Jun 13 2015, 4:26 PM
Halfak raised the priority of this task from to Needs Triage.
Halfak updated the task description. (Show Details)
Halfak moved this task to Active on the Scoring-platform-team (Current) board.
Halfak added a subscriber: Halfak.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2015, 4:26 PM
Halfak triaged this task as Medium priority.Jun 13 2015, 5:18 PM
Halfak set Security to None.
ggellerman raised the priority of this task from Medium to High.Jun 24 2015, 9:47 PM
Halfak added a subscriber: yuvipanda.

Pulling this into "active" since I know that @yuvipanda has already built a Node-based, RCStream eating system for testing.

Do you think we should extend that system or do you think we should incorporate something into ORES?

It's fairly triival for me to set that up to work continuously somewhere. The only 'issue' would be that it's running nodejs rather than Python - is that ok?

Halfak claimed this task.Jul 10 2015, 5:12 PM
Halfak closed this task as Resolved.Jul 25 2015, 4:44 PM